# Interface methods for submodule: FastChamferDistanceImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: FastChamferDistanceImageFilter
class FastChamferDistanceImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetWeights(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetWeights(self) -> Sequence[float]:
		""""""
		...

	def SetMaximumDistance(self, _arg: float) -> None:
		""""""
		...

	def GetMaximumDistance(self) -> float:
		""""""
		...

	def SetRegionToProcess(self, r: ImageRegion) -> None:
		""""""
		...

	def GetRegionToProcess(self) -> ImageRegion:
		""""""
		...

	def SetNarrowBand(self, ptr) -> None:
		""""""
		...

	def GetNarrowBand(self):
		""""""
		...

